var layer = layui.layer
	,$ = layui.jquery;

/*弹出层*/
/*
参数解释：
title 标题
url   请求的url
id    需要操作的数据id
w   弹出层宽度（缺省调默认值）
h   弹出层高度（缺省调默认值）
*/

function k_open_leyer(title,url,w,h){
  if (title == null || title == '') {
    title=false;
  };
  if (url == null || url == '') {
    url="404.html";
  };
  if (w == null || w == '') {
    w=800;
  };
  if (h == null || h == '') {
    h=($(window).height() - 50);
  };
	layer.open({
      type: 2,
      title: title,
      shadeClose: true,
      resize:false, 
      shade: [0.8, '#393D49'],
      scrollbar:false,
      maxmin: true, //开启最大化最小化按钮
      area: [w+'px', h +'px'],
      content: url
    });   
}

/*弹出层同级打开*/
/*
参数解释：
title 标题
url   请求的url
id    需要操作的数据id
w   弹出层宽度（缺省调默认值）
h   弹出层高度（缺省调默认值）
*/
function k_p_open_leyer(title,url,w,h){
    if (title == null || title == '') {
      title=false;
    };
    if (url == null || url == '') {
      url="404.html";
    };
    if (w == null || w == '') {
      w=800;
    };
    if (h == null || h == '') {
      h=($(window).height() - 50);
    };
    var regx = /\?/g;
    var res = regx.test(url);
    console.log(res) ;
    if (res == true) {
        var index = "&layerIndex=" + parent.layer.getFrameIndex(window.name);
    }else{
        var index = "?layerIndex=" + parent.layer.getFrameIndex(window.name);
    }
    parent.layer.open({
      type: 2,
      title: title,
      shadeClose: true,
      resize:false,
      shade: [0.8, '#393D49'],
      scrollbar:false,
      maxmin: true, //开启最大化最小化按钮
      area: [w+'px', h +'px'],
      content: url + index
    });   
}

function k_close_layer(){
    var index = parent.layer.getFrameIndex(window.name); //获取窗口索引
    parent.layer.close(index);
}

function k_submit_start(obj){
  layer.load(2);
  $(obj).addClass('layui-btn-disabled');
  $(obj).attr('disabled',true);
}
function k_submit_end(obj){
  $(obj).removeClass('layui-btn-disabled');
  layer.closeAll('loading');
  $(obj).attr('disabled',false);
}

$(document).ready(function(){
	$('button[type=close]').on("click",function(){
        k_close_layer();
  });


})
